## freecdb 0.61

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE	:= freecdb

build: build-stamp
build-stamp: debian/control
	test -e debian/control
	$(MAKE) CFLAGS="-Wall -g -O2"
	touch build-stamp

clean: debian/control
	test -e debian/control
	test root = "`whoami`" || (echo need root priviledges; exit 1)
	rm -f build-stamp install-stamp
	$(MAKE) clean
	rm -rf debian/substvars debian/files debian/tmp

binary-indep: build

binary-arch: build debian/control
	test -e debian/control
	test root = "`whoami`" || (echo need root priviledges; exit 1)
	rm -rf debian/substvars debian/tmp
	install -d --mode=0755 debian/tmp
	$(MAKE) DESTDIR=debian/tmp install-dirs install
	install -d --mode=0755 "debian/tmp/usr/share/doc/$(PACKAGE)"
	install --mode=0644 debian/copyright README \
		"debian/tmp/usr/share/doc/$(PACKAGE)"
	gzip -9 debian/tmp/usr/share/man/man1/* \
		debian/tmp/usr/share/man/man3/*
	install --mode=0644 debian/changelog \
		"debian/tmp/usr/share/doc/$(PACKAGE)/changelog"
	gzip -9 debian/tmp/usr/share/doc/"$(PACKAGE)"/changelog
	strip --remove-section=.comment --remove-section=.note \
		debian/tmp/usr/bin/*
	strip  --strip-debug debian/tmp/usr/lib/*.a
	install -d --mode=0755 debian/tmp/DEBIAN
	install --mode=0755 debian/postinst debian/prerm \
		debian/tmp/DEBIAN
	dpkg-shlibdeps debian/tmp/usr/bin/*
	dpkg-gencontrol
	dpkg --build debian/tmp ..

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## freecdb 0.62

=== Makefile ===
BINS:=cdbdump cdbget cdbmake cdbstats cdbtest
LIBS:=libfreecdb.a libfreecdbmake.a
MAN1:=cdbget.1 cdbstats.1 cdbtest.1 cdbdump.1 cdbmake.1
MAN3:=cdb_hash.3 cdb_seek.3
MANS:=$(MAN1) $(MAN3)

SOURCES:=cdb_hash.c cdbdump.c cdbmake_add.c cdbstats.c cdb_seek.c \
	cdbget.c cdbmake_hash.c cdbtest.c cdb_unpack.c \
	cdbmake.c cdbmake_pack.c

FILES:=$(BINS) $(LIBS) $(MANS)

DESTDIR:=
MANDIR:=$(DESTDIR)/usr/share/man
MAN1DIR:=$(MANDIR)/man1
MAN3DIR:=$(MANDIR)/man3
LIBDIR:=$(DESTDIR)/usr/lib
BINDIR:=$(DESTDIR)/usr/bin
INCDIR:=$(DESTDIR)/usr/include

CFLAGS:=-Wall -O2

all: $(FILES)

clean:
	rm -f $(FILES) *.d *.o

install-dirs:
	install -d -m0755 $(MAN1DIR) $(MAN3DIR) $(LIBDIR) $(BINDIR) \
		$(INCDIR)

install:
	install -m0755 $(BINS) $(BINDIR)
	install -m0644 $(MAN1) $(MAN1DIR)
	install -m0644 $(MAN3) $(MAN3DIR)
	install -m0644 $(LIBS) $(LIBDIR)
	install -m0644 freecdb.h freecdbmake.h $(INCDIR)

cdbdump: cdbdump.o cdb_unpack.o

cdbget: cdbget.o cdb_seek.o cdb_hash.o cdb_unpack.o

cdbmake: cdbmake.o cdbmake_add.o cdbmake_hash.o cdbmake_pack.o

cdbstats: cdbstats.o cdb_unpack.o

cdbtest: cdbtest.o cdb_unpack.o cdb_seek.o cdb_hash.o

libfreecdb.a: libfreecdb.a(cdb_hash.o cdb_unpack.o cdb_seek.o)
	ranlib libfreecdb.a

libfreecdbmake.a: libfreecdbmake.a(cdbmake_pack.o cdbmake_hash.o \
	cdbmake_add.o)
	ranlib libfreecdbmake.a

%.1: %.pod
	pod2man --section=1 --center=' ' --release=' ' $^ >$@.tmp
	mv $@.tmp $@

%.3: %.pod
	pod2man --section=3 --center=' ' --release=' ' $^ >$@.tmp
	mv $@.tmp $@

include $(SOURCES:.c=.d)

%.d: %.c
	@echo "Dependencies for $<"
	@set -e; $(CC) -MM $(CPPFLAGS) $< \
		| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
		[ -s $@ ] || rm -f $@

=== debian/changelog ===
freecdb (0.62) unstable; urgency=low

  * POD I<format> doesn't work in a verbatim paragraph. Fixed.
  * Added -isp to dpkg-gencontrol call to generate Section
    and Priority headers.
  * Updated policy version to 3.1.1.

 -- Tommi Virtanen <tv@debian.org>  Mon, 15 May 2000 21:34:21 +0300

freecdb (0.61) unstable; urgency=low

  * Add dummy --center and --release params to pod2man so the manpages
    don't mention perl.

 -- Tommi Virtanen <tv@debian.org>  Mon,  6 Dec 1999 00:34:18 +0200

freecdb (0.60) unstable; urgency=low

  * Rewrote/removed all the non-free parts. CDB is now public domain
    and eligible for main. The cdb-src package is history.
  * Renamed to freecdb. Now this is a Debian-native package.
    Increased version number appropriately.

 -- Tommi Virtanen <tv@debian.org>  Sun,  5 Dec 1999 22:25:38 +0200

cdb (0.55-6) unstable; urgency=low

  * Include cdb.h in the package (Closes: #49761).

 -- Tommi Virtanen <tv@debian.org>  Mon, 22 Nov 1999 21:45:19 +0200

cdb (0.55-5) unstable; urgency=low

  * Get rid of build-time perl dependency.
  * FHS.
  * Policy 3.0.0.

 -- Tommi Virtanen <tv@debian.org>  Tue,  2 Nov 1999 20:56:56 +0200

cdb (0.55-4) unstable; urgency=low

  * Removed debhelper dependency.

 -- Tommi Virtanen <tv@debian.org>  Thu,  8 Jul 1999 00:11:00 +0300

cdb (0.55-3) unstable; urgency=low

  * Cleaned the .diff.gz
  * Included libcdb.a in the package

 -- Tommi Virtanen <tv@debian.org>  Mon, 31 May 1999 22:21:29 +0300

cdb (0.55-2) unstable; urgency=low

  * Corrected a typo in debian/control.real
    Thanks to Branden Robinson <branden@ecn.purdue.edu>
  * Made a link from build-cdb.1 to undocumented.7

 -- Tommi Virtanen <tv@debian.org>  Mon, 18 Jan 1999 09:47:46 +0200

cdb (0.55-1) unstable; urgency=low

  * Initial Release.

 -- Tommi Virtanen <tv@debian.org>  Sun, 17 Jan 1999 22:21:06 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "tv@debian.org"
End:

=== debian/control ===
Source: freecdb
Section: utils
Priority: optional
Maintainer: Tommi Virtanen <tv@debian.org>
Standards-Version: 3.1.1
Build-Depends: perl5, gzip

Package: freecdb
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: cdb, cdb-src
Replaces: cdb, cdb-src
Provides: libfreecdb-dev
Description: a package for creating and reading constant databases
 freecdb is a small, fast and reliable utility set and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading:
 .
  - Successful lookups take normally just two disk accesses.
  - Unsuccessful lookups take only one disk access.
  - Small disk space and memory size requirements; a database
    uses 2048 bytes for the header and 24 bytes per record.
  - Maximum database size is 4GB; individual record size is not
    otherwise limited.
  - Portable file format.
  - Fast creation of new databases.
  - No locking, updates are atomical.
 .
 This package contains both the utilities and the development
 files.

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	install --mode=0755 debian/postinst debian/prerm \
 		debian/tmp/DEBIAN
 	dpkg-shlibdeps debian/tmp/usr/bin/*
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	dpkg --build debian/tmp ..
 
 source diff:

## freecdb 0.75

=== debian/changelog ===
freecdb (0.75) unstable; urgency=low

  * take over upstream (closes: #272127).
  * complete re-package:
    * derived from cdb-0.75.
    * cdbmake, cdbget, cdbdump, cdbstats: re-write programs, man pages.
    * add program selftests.
    * package no longer provides a library, but command line programs only
      (closes: #345868).
    * debian/control: new long description (closes: #124639).
  * new upload includes mandatory field 'format' (closes: #307116).

 -- Gerrit Pape <pape@smarden.org>  Fri, 13 Jan 2006 21:11:53 +0000

## freecdb 0.75build1

=== debian/changelog ===
freecdb (0.75build1) gutsy; urgency=low

  * No-change rebuild to include stack protector.

 -- Kees Cook <kees@ubuntu.com>  Tue, 31 Jul 2007 10:24:53 -0700

## freecdb 0.75build2

=== debian/changelog ===
freecdb (0.75build2) karmic; urgency=low

  * No-change rebuild to gain FORTIFY defaults.

 -- Kees Cook <kees@ubuntu.com>  Sat, 09 May 2009 10:10:21 -0700

## freecdb 0.75build3

=== debian/changelog ===
freecdb (0.75build3) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Fri, 05 Mar 2010 04:15:20 +0100

=== debian/control ===
Source: freecdb
Section: utils
Priority: optional
Maintainer: Gerrit Pape <pape@smarden.org>
Standards-Version: 3.6.2.0

Package: freecdb
Architecture: any
Depends: ${shlibs:Depends}
Description: creating and reading constant databases
 freecdb is a fast, reliable, simple package for creating and reading
 constant databases. Its database structure provides several features:
 . 
  * Fast lookups: A successful lookup in a large database normally takes
    just two disk accesses.  An unsuccessful lookup takes only one.
  * Low overhead: A database uses 2048 bytes, plus 24 bytes per record,
    plus the space for keys and data.
  * No random limits: cdb can handle any database up to 4 gigabytes.
    There are no other restrictions; records don't even have to fit into
    memory.  Databases are stored in a machine-independent format.
  * Fast atomic database replacement: cdbmake can rewrite an entire
    database two orders of magnitude faster than other hashing packages.
  * Fast database dumps: cdbdump prints the contents of a database in
    cdbmake-compatible format.
 . 
 This package is derived from the cdb package, and uses the original
 cdb library.  See http://cr.yp.to/cdb.html

## freecdb 0.75build4

=== debian/changelog ===
freecdb (0.75build4) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:23:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: freecdb
 Section: utils
 Priority: optional
-Maintainer: Gerrit Pape <pape@smarden.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gerrit Pape <pape@smarden.org>
 Standards-Version: 3.6.2.0
 
 Package: freecdb

=== debian/rules ===
#!/usr/bin/make -f

STRIP =strip
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP =: nostrip
endif

CC=gcc
ifneq (,$(findstring diet,$(DEB_BUILD_OPTIONS)))
  CC =diet -v -Os gcc -nostdinc
endif

DIR =$(shell pwd)/debian/freecdb

build: deb-checkdir build-stamp
build-stamp: 
	$(MAKE) CC='$(CC)'
	$(MAKE) check
	touch build-stamp

clean: deb-checkdir deb-checkuid
	$(MAKE) clean
	rm -f build-stamp
	rm -rf '$(DIR)'
	rm -f debian/files debian/substvars

install: deb-checkdir deb-checkuid build-stamp
	rm -rf '$(DIR)'
	install -d -m0755 '$(DIR)'/usr/bin
	install -m0755 cdbdump cdbget cdbmake cdbstats '$(DIR)'/usr/bin/
	$(STRIP) -R .comment -R .note '$(DIR)'/usr/bin/*
	# man pages
	install -d -m0755 '$(DIR)'/usr/share/man/man1
	install -m0644 cdbdump.1 cdbget.1 cdbmake.1 cdbstats.1 \
	  '$(DIR)'/usr/share/man/man1/
	gzip -9 '$(DIR)'/usr/share/man/man1/*.1

binary-indep:

binary-arch: install freecdb.deb
	test '$(CC)' != 'gcc' || dpkg-shlibdeps '$(DIR)'/usr/bin/*
	dpkg-gencontrol -isp -pfreecdb -P'$(DIR)'
	dpkg -b '$(DIR)' ..

binary: binary-indep binary-arch

.PHONY: build clean install binary-indep binary-arch binary

include debian/implicit

## freecdb 0.76

=== Makefile ===
# /* Public domain. */

O=alloc.o buffer.o buffer_0.o buffer_1.o buffer_2.o buffer_get.o buffer_put.o buffer_read.o buffer_write.o byte_copy.o byte_cr.o byte_diff.o cdb.o cdb_hash.o cdb_make.o error.o error_str.o fmt_ulong.o open_trunc.o scan_ulong.o seek_set.o str_len.o strerr_die.o strerr_sys.o uint32_pack.o uint32_unpack.o
H=uint32.h
A=cdb.a
P=cdbmake cdbdump cdbget cdbstats

CC=gcc
CFLAGS=-Wall -O2 -g

all: $(P)
$(P): $(A)
cdb.o cdb_hash.o cdb_make.o cdbmake.o cdbstats.o cdbdump.o uint32_pack.o unint32_unpack.o: $(H)

cdb.a: $(O)
	ar cr cdb.a $(O)
	ranlib cdb.a || :

uint32.h: tryulong32.c uint32.h1 uint32.h2
	( ($(CC) -o tryulong tryulong.c && ./tryulong) >/dev/null 2>&1 \
	&& cat uint32.h2 || cat uint32.h1) >uint32.h
	rm -f tryulong

check: $(P)
	./check-local $(P)

clean:
	rm -f $(A) $(O) $(H) $(P) *.local
	for i in $(P); do rm -f $${i}.o; done

=== debian/changelog ===
freecdb (0.76) unstable; urgency=medium

  * QA upload.
  * Mark source format as 3.0
  * Update Standards-Version to 4.5.0
  * Orphan the package. (See: #947698)
  * Use debhelper-compat.
    - Mark compat level to 12.
    - Add dependency on ${misc:Depends}.
  * simplify debian/rules.
    - list files to install.
    - list man pages.
    - remove debian/implicit.
  * Fix FTBFS with clang. (Closes: #757409)
    - Thanks to Arthur Marble.
  * Add Vcs link to salsa.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 13 Apr 2020 21:43:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: freecdb
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gerrit Pape <pape@smarden.org>
-Standards-Version: 3.6.2.0
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/debian/freecdb.git
+vcs-Browser: https://salsa.debian.org/debian/freecdb
 
 Package: freecdb
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: creating and reading constant databases
  freecdb is a fast, reliable, simple package for creating and reading
  constant databases. Its database structure provides several features:
- . 
+ .
   * Fast lookups: A successful lookup in a large database normally takes
     just two disk accesses.  An unsuccessful lookup takes only one.
   * Low overhead: A database uses 2048 bytes, plus 24 bytes per record,
@@ -23,6 +25,6 @@
     database two orders of magnitude faster than other hashing packages.
   * Fast database dumps: cdbdump prints the contents of a database in
     cdbmake-compatible format.
- . 
+ .
  This package is derived from the cdb package, and uses the original
  cdb library.  See http://cr.yp.to/cdb.html

## freecdb 0.77

=== debian/changelog ===
freecdb (0.77) unstable; urgency=medium

  * QA upload.
  * Explicitly pass CFLAGS to the build.  (Closes: #1011493, #1069481)
  * Fix building with -Werror=implicit-function-declaration.
  * Declare Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Apr 2024 01:55:29 +0200

## freecdb 0.78

=== debian/changelog ===
freecdb (0.78) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC 14.  (Closes: #1074965)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Sep 2024 01:00:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 12)
+Rules-Requires-Root: no
 Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian/freecdb
 Vcs-Git: https://salsa.debian.org/debian/freecdb.git
-vcs-Browser: https://salsa.debian.org/debian/freecdb
 
 Package: freecdb
 Architecture: any

## freecdb 0.78.1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	ranlib cdb.a || :
 
 uint32.h: tryulong32.c uint32.h1 uint32.h2
-	( ($(CC) -o tryulong tryulong.c && ./tryulong) >/dev/null 2>&1 \
+	( ($(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o tryulong tryulong.c && ./tryulong) >/dev/null 2>&1 \
 	&& cat uint32.h2 || cat uint32.h1) >uint32.h
 	rm -f tryulong

=== debian/changelog ===
freecdb (0.78.1) unstable; urgency=medium

  * QA upload.
  * Fix building with GCC 15.  (Closes: #1096648)
  * Drop redundant Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Sep 2025 02:04:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 12)
-Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/freecdb
 Vcs-Git: https://salsa.debian.org/debian/freecdb.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) -Wall"

## freecdb 0.78.1build1

=== debian/changelog ===
freecdb (0.78.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Fri, 06 Feb 2026 21:16:19 +0100
